
$(function(){
	$('.index_tt .banner_txt').eq(0).show().siblings().hide();
	var i=0;
	var wimg=$('.banner_box ul li').width();
	var lilength=$('.banner_box ul li').length;
	function next(){
		i++;
		if(i>lilength-1){
			i=0;			
		};		
		$('.banner_box ul').animate({'marginLeft':-wimg*(i)+'px'})
		$('.index_tt .banner_txt').eq(i).show().siblings().hide();
	}
	function pre(){
		i--;
		if(i<0){
			i =	lilength-1			
			}
		$('.banner_box ul').animate({'marginLeft':-wimg*i+'px'})
		$('.index_tt .banner_txt').eq(i).show().siblings().hide();
	}	
	var timer=setInterval(next,2000)
	$('.banner').mouseenter(function(){
		clearInterval(timer)
	})
	$('.banner').mouseleave(function(){
		timer=setInterval(next,2000)
	})	
	$('.banner_next').click(function(){		
		next();								
	})
	$('.index_pre').click(function(){		
		pre();						
	})	
	$('.img_list ol li').hover(function(){
	   var simg = $(this).children('img').attr('src')	   
	   $('.banner_box ul li').eq(i).find('img').attr('src',simg)
	})		
})
